# GetHeaders(string)

Method in [Dialogue](/3.1/api/csharp/yarn/yarn.dialogue.md)

## Summary

Gets the collection of headers present on the node named `nodeName` .

```csharp
public IEnumerable<KeyValuePair<string, string>> GetHeaders(string nodeName)
```

## Parameters

| Name              | Description                              |
| ----------------- | ---------------------------------------- |
| `string` nodeName | The name of the node to get headers for. |

## Returns

A collection of key-values pairs, each one representing a header on the node.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn/yarn.dialogue/yarn.dialogue.getheaders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
